import axios from 'axios';
import {
  ScanCousreListPageParam,
  ScanPointListPageParam,
  ScanListPageRes,
  SignPaperStatListPageParam,
  SignPaperStatListPageRes,
} from './types/scan';

// 扫描管理
// 按科目统计列表
export function getScanCourseList(
  params: ScanCousreListPageParam
): Promise<ScanListPageRes> {
  return axios.post('/api/student/list', {}, { params });
}

// 按考点统计列表
export function getScanPointList(
  params: ScanPointListPageParam
): Promise<ScanListPageRes> {
  return axios.post('/api/student/list', {}, { params });
}

// 签到表统计列表
export function getSignPaperStatList(
  params: SignPaperStatListPageParam
): Promise<SignPaperStatListPageRes> {
  return axios.post('/api/student/list', {}, { params });
}
